Subject: German Library Sort

From: [email-masked] (Tex Texin)
Date: Mon, 22 Apr 96 18:09:06 EDT

Michael,
Thanks.
I thought I did look yesterday but didn't see
one that stood out as German Library. I will check again.

Still, it would be nice to have a definition in
addition to an implementation to check against.
Is there a German Standards Organization that I
can query?

Is "library" a euphemism or is this a standard
employed by libraries? Perhaps there is a library
organization I can inquire of...

tex

======================================================
Tex Texin
International Development Manager
Deployment Group              email [email-masked]
Progress Software Corp.       http://www.progress.com 
14 Oak Park                   Voice 617-280-4271
Bedford, MA 01730             Fax   617-280-4949
======================================================

> From: "Michael Kung" <[email-masked]>
> Date: Mon, 22 Apr 1996 12:13:49 -0700
> To: [email-masked] (Ulrich Drepper),
>         [email-masked]
> Subject: Re: (i18n.318) German Library Sort
> Cc: [email-masked]
> 
> Or take a look at the Dkuug's I18N ftp side for the localedef source
> definition...
> 
> Michael
> On Apr 22,  7:18pm, Ulrich Drepper wrote:
> > Subject: (i18n.318) German Library Sort
> > From: [email-masked] (Tex Texin)
> > Subject: (i18n.317) German Library Sort
> > Date: Mon, 22 Apr 96 10:42:50 EDT
> >
> > > Hi,
> > > Does anyone have information or specification for
> > > a collation known as the "German Library" sort?
> >
> > Get a system which has a correctly implemented strcoll function along
> > with a localedef program for this system.  After generating the locale
> > binary file using localedef (from the sources available from the POSIX
> > WGs) you should get the correct ordering/collation.
> >
> > One possible solution is Linux using the upcoming libc-5.4.0.
> >
> > -- Uli
> > --------------.       [email-masked]  ,-.   Rubensstrasse 5
> > Ulrich Drepper \    ,--------------------'   \  76149 Karlsruhe/Germany
> > Cygnus Support  `--'  [email-masked]  `------------------------
> >-- End of excerpt from Ulrich Drepper
> 
> 
>